/cosmos/gov/v1beta1/proposals
GET
Proposals queries all proposals based on given status.
Query Parameters
proposal_statusstring
proposal_status defines the status of the proposals.voterstring
voter defines the voter address for the proposals.depositorstring
depositor defines the deposit addresses from the proposals.pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.pagination.reverseboolean
Set to true to return results in descending order.Responses
proposals defines all the requested governance proposals.
proposal_idstring
proposal_id is the unique id of a proposal.Any contains an arbitrary serialized protocol buffer message along with aURL that describes the type of the serialized message.Protobuf library provides support to pack/unpack Any values in the formof utility functions or additional generated methods of the Any type.Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) { ... }Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) { foo = any.unpack(Foo.class); } // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) { foo = any.unpack(Foo.getDefaultInstance()); }Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ...Example 4: Pack and unpack a message in Go foo := &pb.Foo{...} any, err := anypb.New(foo) if err != nil { ... } ... foo := &pb.Foo{} if err := any.UnmarshalTo(foo); err != nil { ... }The pack methods provided by protobuf library will by default use'type.googleapis.com/full.type.name' as the type URL and the unpackmethods only use the fully qualified type name after the last '/'in the type URL, for example "foo.bar.com/x/y.z" will yield typename "y.z".JSONThe JSON representation of an Any value uses the regularrepresentation of the deserialized, embedded message, with anadditional field @type which contains the type URL. Example: package google.profile; message Person { string first_name = 1; string last_name = 2; } { "@type": "type.googleapis.com/google.profile.Person", "firstName": <string>, "lastName": <string> }If the embedded message type is well-known and has a custom JSONrepresentation, that representation will be embedded adding a fieldvalue which holds the custom JSON in addition to the @typefield. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" }type_urlstring
A URL/resource name that uniquely identifies the type of the serializedprotocol buffer message. This string must contain at leastone "/" character. The last segment of the URL's path must representthe fully qualified name of the type (as inpath/google.protobuf.Duration). The name should be in a canonical form(e.g., leading "." is not accepted).In practice, teams usually precompile into the binary all types that theyexpect it to use in the context of Any. However, for URLs which use thescheme http, https, or no scheme, one can optionally set up a typeserver that maps type URLs to message definitions as follows:- If no scheme is provided,
httpsis assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][]
- Applications are allowed to cache lookup results based on the
http, https (or the empty scheme) might beused with implementation specific semantics.valuestring
Must be a valid serialized protocol buffer of the above specified type.statusstring
status defines the proposal status.final_tally_result is the final tally result of the proposal. Whenquerying a proposal via gRPC, this field is not populated until theproposal's voting period has ended.
yesstring
yes is the number of yes votes on a proposal.abstainstring
abstain is the number of abstain votes on a proposal.nostring
no is the number of no votes on a proposal.no_with_vetostring
no_with_veto is the number of no with veto votes on a proposal.submit_timestring
submit_time is the time of proposal submission.deposit_end_timestring
deposit_end_time is the end time for deposition.total_deposit is the total deposit on the proposal.
denomstring
amountstring
voting_start_timestring
voting_start_time is the starting time to vote on a proposal.voting_end_timestring
voting_end_time is the end time of voting on a proposal.pagination defines an pagination for the response.
next_keystring
next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.totalstring
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X GET 'https://rest-hippo-mainnet.nodit.io/cosmos/gov/v1beta1/proposals' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'